- 2024-02-14
  - Set preliminary feature freeze date to 2024-02-28.
  - Set preliminary release date to 2024-03-05.
- 2024-02-28
  - Defined scope.
  - Created release notes draft.
- 2024-03-01
  - Received notification that testing has finished.
- 2024-03-05
  - Published to downloads repo.
  - Published to CWS.
  - Published to AMO.
  - Published to Microsoft store.
  - Published to Opera store.
  - Generated Manifest v3 development build 3.25.0.11190.
  - Published development build to CWS.
  - Noticed that release is live on Microsoft store.
- 2024-03-06
  - Noticed that release is live on Opera store.
  - Noticed that development build is live on CWS.
- 2024-03-08
  - Noticed that release is live on CWS.
- 2024-03-11
  - Noticed that release is live on AMO.
- 2024-03-12
  - Generated Manifest v3 development build 3.25.0.11191.
  - Published development build to CWS.
- 2024-03-13
  - Noticed that development build is live on CWS.
- 2024-03-19
  - Generated Manifest v3 development build 3.25.0.11192.
  - Published development build to CWS.
- 2024-03-21
  - Noticed that development build is live on CWS.
